<?php

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'venipak_carrier_addresses` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `address_title` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `company` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `address` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `city` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `country` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `postcode` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `phone_number` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `person` varchar(256) COLLATE utf8_unicode_ci NOT NULL,
  `is_default` tinyint(1) NOT NULL,
  `type` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'venipak_carrier_call` (
  `call_id` int(11) NOT NULL AUTO_INCREMENT,
  `warehouse_id` int(11) NOT NULL,
  `call_date` datetime NOT NULL,
  `call_data` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`call_id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'venipak_manifest` (
  `manifest_no` varchar(14) NOT NULL,
  `manifest_date` date NOT NULL,
  `warehouse_id` int(11) NOT NULL,
  `status` tinyint(2) NOT NULL DEFAULT "1",
  PRIMARY KEY (`manifest_no`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'venipak_order_info` (
  `order_id` int(11) NOT NULL,
  `packs` int(10) unsigned NOT NULL,
  `weight` double(10,2) unsigned NOT NULL,
  `is_cod` tinyint(1) NOT NULL,
  `cod_amount` decimal(10,2) NOT NULL,
  `warehouse_id` int(10) unsigned NOT NULL,
  `delivery_time` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `return_docs` tinyint(1) NOT NULL,
  `check_docs` tinyint(1) NOT NULL,
  `show_sender` int(11) DEFAULT NULL,
  `manifest_no` varchar(14) COLLATE utf8_unicode_ci NOT NULL,
  `dlr_code` varchar(14) COLLATE utf8_unicode_ci DEFAULT NULL,
  `comment_door_code` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `comment_office_no` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `comment_warehous_no` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `comment_call` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`order_id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'venipak_order_pack` (
  `pack_no` int(11) NOT NULL,
  `api_id` int(11) NOT NULL,
  `order_id` int(10) unsigned NOT NULL,
  `weight` decimal(8,3) NOT NULL,
  `sent` tinyint(1) NOT NULL DEFAULT "0",
  PRIMARY KEY (`pack_no`,`api_id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'venipak_tmp_cart_comments` (
  `cart_id` int(10) unsigned NOT NULL,
  `delivery_type` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `comment_door_code` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `comment_office_no` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `comment_warehous_no` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `comment_call` tinyint(1) NOT NULL,
  PRIMARY KEY (`cart_id`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;';